# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "debian-analyzer"
version = "0.160.14"
authors = ["Jelmer Vernooij <jelmer@jelmer.uk>"]
build = "build.rs"
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Debian analyzer"
homepage = "https://github.com/jelmer/debian-analyzer"
documentation = "https://docs.rs/debian-analyzer"
readme = "README.md"
license = "GPL-2.0+"
repository = "https://github.com/jelmer/debian-analyzer"

[features]
cli = [
    "dep:clap",
    "dep:env_logger",
]
default = [
    "python",
    "merge3",
]
merge3 = ["dep:merge3"]
python = []
svp = ["dep:svp-client"]
udd = ["dep:sqlx"]

[lib]
name = "debian_analyzer"
path = "src/lib.rs"

[[bin]]
name = "deb-vcs-publish"
path = "src/bin/deb-vcs-publish.rs"
required-features = ["cli"]

[[bin]]
name = "detect-changelog-behaviour"
path = "src/bin/detect-changelog-behaviour.rs"
required-features = ["cli"]

[dependencies.breezyshim]
version = ">=0.7.1, <0.8"
features = [
    "debian",
    "dirty-tracker",
]

[dependencies.chrono]
version = "0.4.42"
features = ["serde"]

[dependencies.clap]
version = "4,<5"
features = [
    "derive",
    "env",
    "suggestions",
    "cargo",
    "string",
]
optional = true

[dependencies.configparser]
version = "3"

[dependencies.deb822-lossless]
version = ">=0.5.0, <0.6"

[dependencies.debian-changelog]
version = "0.2.10"

[dependencies.debian-control]
version = ">=0.2.8, <0.4"

[dependencies.debian-copyright]
version = ">=0.1.29, <0.2"

[dependencies.debversion]
version = ">=0.5.0, <0.6"
features = [
    "serde",
    "python-debian",
]

[dependencies.dep3]
version = ">=0.2.0, <0.3"
features = ["lossless"]

[dependencies.difflib]
version = "0.4.0"

[dependencies.distro-info]
version = ">=0.4.0, <0.5"

[dependencies.env_logger]
version = ">=0.10, <0.12"
optional = true

[dependencies.filetime]
version = "0.2.10"

[dependencies.hex]
version = "0.4.3"

[dependencies.lazy-regex]
version = "3.4"

[dependencies.lazy_static]
version = "1.5"

[dependencies.log]
version = "0.4.18"

[dependencies.makefile-lossless]
version = ">=0.3.17, <0.4"

[dependencies.maplit]
version = "1.0.2"

[dependencies.merge3]
version = "0.2"
optional = true

[dependencies.patchkit]
version = ">=0.2.2, <0.3"

[dependencies.pyo3]
version = ">=0.27, <0.29"
features = [
    "serde",
    "chrono",
]

[dependencies.regex]
version = "1.12.2"

[dependencies.reqwest]
version = ">=0.12.10, <0.14"
features = [
    "blocking",
    "json",
]

[dependencies.semver]
version = "1"

[dependencies.serde]
version = "1.0.145"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.85"

[dependencies.sha1]
version = "0.10.6"

[dependencies.sqlx]
version = ">=0.8, <0.9"
features = ["postgres"]
optional = true

[dependencies.svp-client]
version = "0.2.0"
optional = true

[dependencies.tempfile]
version = "3.20"

[dependencies.toml_edit]
version = ">=0.23, <0.26"

[dependencies.url]
version = "2.4"

[dev-dependencies.serial_test]
version = ">=3, <4"

[build-dependencies.quote]
version = "1.0.40"

[build-dependencies.serde_json]
version = "1.0.85"
